Subject: Re: [PATCH net-next v3 0/2] iproute2: bridge vlan range support

From: roopa <[email-masked]>
Date: Thu, 19 Feb 2015 18:08:23 -0800

On 2/5/15, 10:48 AM, Stephen Hemminger wrote:
> On Sun, 25 Jan 2015 18:26:23 -0800
> [email-masked] wrote:
>
>> From: Roopa Prabhu <[email-masked]>
>>
>> This series adds support for vlan ranges in iproute2 bridge add
>> and show commands.
>>
>> Signed-off-by: Roopa Prabhu <[email-masked]>
>> Signed-off-by: Wilson Kok <[email-masked]>
>>
>> Roopa Prabhu (2):
>>    iproute2: bridge: support vlan range for adds
>>    iproute2: bridge vlan show new option to print ranges
>>
>>   bridge/br_common.h        |    1 +
>>   bridge/bridge.c           |    6 ++++-
>>   bridge/vlan.c             |   55 ++++++++++++++++++++++++++++++++++++++++-----
>>   include/linux/if_bridge.h |    2 ++
>>   include/linux/rtnetlink.h |    1 +
>>   5 files changed, 58 insertions(+), 7 deletions(-)
>>
> Applied to net-next branch of iproute2
> Go ahead and send more patches if you decide on different output format.

Thanks stephen.

Maybe too late, but wanted to add a note.
I would have loved to have the default output print vlan ranges if the 
iproute2 version is capable and is talking to the kernel which has vlan 
range support. The netlink msg handling takes care of back ward 
compatibility.

I think, I was being too cautious to not break users who might be doing 
screen scraping.
In general should i be too worried about breaking such users ?.
If not, I would love to resubmit the patch to make the default output 
print ranges.